- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 6ee7a28a-d722-4dd8-96b8-5cf039994603
    creation_time: 2023-02-17T13:37:48.152893Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/ps2-ll_unwindbound100.c
      input_file_hashes:
        c/nla-digbench-scaling/ps2-ll_unwindbound100.c: 9dd084b74d402040bb1dcf601a4c548e70d932326201e2bbf6bd431598d05766
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/ps2-ll_unwindbound100.c
    file_hash: 9dd084b74d402040bb1dcf601a4c548e70d932326201e2bbf6bd431598d05766
    line: 27
    column: 0
    function: main
  loop_invariant:
    string: y * y - 2 * x + y == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 18a026b8-449b-48dc-a6d1-640cfb86023b
    creation_time: 2023-02-17T13:37:48.153453Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/ps2-ll_unwindbound100.c
      input_file_hashes:
        c/nla-digbench-scaling/ps2-ll_unwindbound100.c: 9dd084b74d402040bb1dcf601a4c548e70d932326201e2bbf6bd431598d05766
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/ps2-ll_unwindbound100.c
    file_hash: 9dd084b74d402040bb1dcf601a4c548e70d932326201e2bbf6bd431598d05766
    line: 28
    column: 0
    function: main
  location_invariant:
    string: (y * y) - 2 * x + y == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: df20ee25-cd87-400b-9f35-b34a60e19caa
    creation_time: 2023-02-17T13:37:48.153607Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/ps2-ll_unwindbound100.c
      input_file_hashes:
        c/nla-digbench-scaling/ps2-ll_unwindbound100.c: 9dd084b74d402040bb1dcf601a4c548e70d932326201e2bbf6bd431598d05766
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/ps2-ll_unwindbound100.c
    file_hash: 9dd084b74d402040bb1dcf601a4c548e70d932326201e2bbf6bd431598d05766
    line: 37
    column: 0
    function: main
  location_invariant:
    string: (y*y) - 2*x + y == 0
    type: assertion
    format: C

